Skip to main content
`Ctrl`+`K`

# BVNormColumn

Computes the vector norm of a selected column.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVNormColumn(BV bv,PetscInt j,NormType type,PetscReal *val)

Collective

## Input Parameters

- bv - basis vectors

- j - index of column to be used

- type - the norm type

## Output Parameter

- val - the norm

## Notes

The norm of \(v_j\) is computed (`NORM_1`, `NORM_2`, or `NORM_INFINITY`). If a non-standard inner product has been specified with `BVSetMatrix()`, then the returned value is \(\sqrt{v_j^*B v_j}\), where \(B\) is the inner product matrix (argument `type` is ignored).

## See Also

BV: Basis Vectors, `BVNorm()`, `BVNormVec()`, `BVNormalize()`, `BVSetActiveColumns()`, `BVSetMatrix()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvglobal.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages